Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.constructor
Class Constructor.ConstructMapping

    java.lang.Object
      org.yaml.snakeyaml.constructor.Constructor.ConstructMapping

All Implemented Interfaces:
  Construct

Enclosing class:
  Constructor

    protected class Constructor.ConstructMapping

extends Object
implements Construct

Construct mapping instance (Map, JavaBean) when the runtime class is known.

Constructor Summary
`protected` | `Constructor.ConstructMapping()`

Method Summary
`Object` | `construct(Node node)` Construct JavaBean.
`void` | `construct2ndStep(Node node, Object object)` Apply the second step when constructing recursive structures.
`protected Object` | `constructJavaBean2ndStep(MappingNode node, Object object)`
`protected Object` | `createEmptyJavaBean(MappingNode node)`
`protected Property` | `getProperty(Class<? extends Object> type, String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Constructor.ConstructMapping

    protected Constructor.ConstructMapping()

Method Detail

### construct

    public Object construct(Node node)

  Construct JavaBean. If type safe collections are used please look at `TypeDescription`.

  Specified by:
    `construct` in interface `Construct`
  Parameters:
    `node` - node where the keys are property names (they can only be `String`s) and values are objects to be created
  Returns:
    constructed JavaBean

### construct2ndStep

    public void construct2ndStep(Node node,
                                 Object object)

  Description copied from interface: `Construct`
  Apply the second step when constructing recursive structures. Because the instance is already created it can assign a reference to itself.

  Specified by:
    `construct2ndStep` in interface `Construct`
  Parameters:
    `node` - composed Node
    `object` - the instance constructed earlier by `construct(Node node)` for the provided Node

### createEmptyJavaBean

    protected Object createEmptyJavaBean(MappingNode node)

### constructJavaBean2ndStep

    protected Object constructJavaBean2ndStep(MappingNode node,
                                              Object object)

### getProperty

    protected Property getProperty(Class<? extends Object> type,
                                   String name)
                            throws IntrospectionException

  Throws:
    `IntrospectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.